<?php
// $Id:

/*
 * This is a command line script that generates a settings form definition
 * for the phpfreechat module by parsing the phpfreechat INSTALL.en file
 * php -f generate-form.php
 * You should never need to use this!
 */

$install_path = 'phpfreechat';
if (file_exists($install_path.'/INSTALL.en')) {
  $file = file_get_contents($install_path.'/INSTALL.en');
  $settings_start = strpos($file, 'full parameters list:');
  $settings_finish = strpos($file, '2006 phpFreeChat', $settings_start) - 4;
  $settings_section = substr($file, $settings_start, $settings_finish - $settings_start);
  $matches = array();
  preg_match_all('/\s{4}(\S.*)((?:\n\s{9}.*)*)/', $settings_section, $matches, PREG_SET_ORDER);
  $settings = array();
  foreach ($matches as $match) {
    $setting_names = explode(' and ', $match['1']); // For x and y lines
    foreach ($setting_names as $setting_name) {
      $settings[$setting_name]['help'] = $match['2'];
      // Find some of the common defaults
      if (strstr($match['2'], '(true value by default')) $settings[$setting_name]['default'] = 'true';
      if (strstr($match['2'], '(false value by default')) $settings[$setting_name]['default'] = 'false';
    }
  }
//  print_r($settings);
  $settings_list = "'";
  foreach ($settings as $setting => $value) {
    $settings_list .= $setting . "','";
    $setting_title = ucwords(str_replace('_',' ',$setting));
    if ($value['default'] == 'true' || $value['default'] == 'false') {
      print '$form[\'phpfreechat_'.$setting.'\'] = array(' . "\n";
      print '  \'#type\' => \'select\',' . "\n";
      print '  \'#title\' => t(\''.str_replace("'", "\'", $setting_title).'\'),' . "\n";
      print '  \'#default_value\' => variable_get(\'phpfreechat_'.$setting.'\', $value[\'default\']),' . "\n";
      print '  \'#options\' => array(\'\' => \'default\', \'true\' => \'true\', \'false\' => \'false\'),' . "\n";
      print '  \'#description\' => t(\''.str_replace("'", "\'", $value['help']).'\'),' . "\n";
      print ');' . "\n\n";
    }
    else {
      print '$form[\'phpfreechat_'.$setting.'\'] = array(' . "\n";
      print '  \'#type\' => \'textfield\',' . "\n";
      print '  \'#title\' => t(\''.str_replace("'", "\'", $setting_title).'\'),' . "\n";
      print '  \'#default_value\' => variable_get(\'phpfreechat_'.$setting.'\', \'\'),' . "\n";
      print '  \'#description\' => t(\''.str_replace("'", "\'", $value['help']).'\'),' . "\n";
      print ');' . "\n\n";
    }
  }
  $settings_list .= "'";
  print "\n\nArray of settings:\n" . $settings_list . "\n\n";
}


?>
